Requesting access to deployment for tarrow
Closed, ResolvedPublicRequest

Description

Shell Username: tarrow
Wikitech User: Tarrow
Full name: Thomas Arrow
Email: thomas.arrow_ext@wikimedia.de
Public SSH Key: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMz9obHO+vDMTPbP6av+fTEYwGcJZrtor/nifNWPGLfV 20181101_tarrow_wikiprod

I'm a WMDE developer (contractor) and I'd like to be able to deploy code/configuration changes as well as to be able to run maintenance scripts particularly those relating to wikidata. For example I'd like to be able to help resolve issues like T208077, T208048 in a timely manner.

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform.
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponsor for volunteers, manager for wmf staff)
  • - sudo requests: all sudo requests require explicit approval during the weekly operations team meeting. No sudo requests will be approved outside of those meetings without the direct override of the Director of Operations. T208491#4723747
  • - Patchset for access request
Tarrow created this task.Nov 1 2018, 11:56 AM
Restricted Application added a project: Operations. · View Herald TranscriptNov 1 2018, 11:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore added a subscriber: Addshore.
ema triaged this task as Normal priority.Nov 1 2018, 2:10 PM
ema updated the task description. (Show Details)Nov 2 2018, 2:10 PM
ema moved this task from Untriaged to SRE Meeting Review Required on the SRE-Access-Requests board.
ema updated the task description. (Show Details)Nov 5 2018, 11:14 AM
Tarrow updated the task description. (Show Details)Nov 5 2018, 11:23 AM
ema updated the task description. (Show Details)Nov 5 2018, 1:44 PM
ema added a subscriber: ema.Nov 5 2018, 2:04 PM

@Tarrow: we need manager approval (WMDE), as well as a WMF sponsor. Thanks!

Thanks ema

@WMDE-leszek Could you take a look here?

@greg would you weigh on on deployment group permissions?

ema added a subscriber: RobH.Nov 6 2018, 9:47 AM

This request was approved during the SRE meeting that took place yesterday, 2018-11-05. CC: @RobH

greg added a comment.Nov 6 2018, 5:52 PM

I approve this addition. Please do read and ask questions about https://wikitech.wikimedia.org/wiki/How_to_deploy_code. And get @Addshore to walk you through a real life example :)

Addshore updated the task description. (Show Details)Nov 6 2018, 5:56 PM

I approve the request and will ensure that training is taken care of properly.

Addshore updated the task description. (Show Details)Nov 6 2018, 5:59 PM

Change 472014 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/puppet@production] admin: add shell account for Thomas Arrow (tarrow)

https://gerrit.wikimedia.org/r/472014

colewhite claimed this task.Nov 6 2018, 8:19 PM

Change 472014 merged by Cwhite:
[operations/puppet@production] admin: add shell account for Thomas Arrow (tarrow)

https://gerrit.wikimedia.org/r/472014

colewhite closed this task as Resolved.Nov 6 2018, 8:24 PM
colewhite updated the task description. (Show Details)
Dzahn added a subscriber: Dzahn.Nov 8 2018, 10:51 PM

< mutante> !log gerrit - adding Thomas Arrow to 'wmf-deployment' group for +2 on mw-config for T208491 access request

You should now also have +2 on Gerrit.